package modeles;

import java.util.ArrayList;
import java.util.List;

public class Cours {

    private String sigle;
    private int capacite;
    private List<Seance> seances;
    private List<Cours> prealables;
    private List<Etudiant> etudiantsInscrits;

    public Cours() {
        seances = new ArrayList<Seance>();
        prealables = new ArrayList<Cours>();
        etudiantsInscrits = new ArrayList<Etudiant>();
    }

    public int getCapacite() {
        return capacite;
    }

    public void setCapacite(int capacite) {
        this.capacite = capacite;
    }

    public List<Etudiant> getEtudiantsInscrits() {
        return etudiantsInscrits;
    }

    public void setEtudiantsInscrits(List<Etudiant> etudiantsInscrits) {
        this.etudiantsInscrits = etudiantsInscrits;
    }

    public List<Cours> getPrealables() {
        return prealables;
    }

    public void setPrealables(List<Cours> prealables) {
        this.prealables = prealables;
    }

    public List<Seance> getSeances() {
        return seances;
    }

    public void setSeances(List<Seance> seances) {
        this.seances = seances;
    }

    public String getSigle() {
        return sigle;
    }

    public void setSigle(String sigle) {
        this.sigle = sigle;
    }

    public int getDisponibilite() {
        int nombreInscrits = 0;
        for(Etudiant etudiant : etudiantsInscrits) {
            nombreInscrits++;
        }
        return capacite - nombreInscrits;
    }
    
    public void addSeance(Seance seance) {
        seances.add(seance);
    }
    
    public void addPrealable(Cours cours) {
        prealables.add(cours);
    }
    
    public void addEtudiantInscrit(Etudiant etudiant) {
        etudiantsInscrits.add(etudiant);
    }

}
