package modeles;

import java.util.List;

public class ListeCours {

    private List<Cours> listeCours;

    public ListeCours(List<Cours> listeCours) {
        this.listeCours = listeCours;
    }

    @Override
    public String toString() {
        String texteListeCours = "";
        for (Cours cours : listeCours) {
            texteListeCours += cours.getSigle();
            texteListeCours += "\n----------";
            texteListeCours += "\nCapacité: " + cours.getCapacite();
            texteListeCours += "\nDisponibilité: " + cours.getDisponibilite();
            texteListeCours += "\nPréalables: ";
            for (Cours coursPrealable : cours.getPrealables()) {
                texteListeCours += coursPrealable.getSigle() + ", ";
            }
            texteListeCours += "\nSéances: ";
            for (Seance seance : cours.getSeances()) {
                texteListeCours += seance.getTexte();
                if (seance.isLaboratoire()) {
                    texteListeCours += " (laboratoire)";
                }
                texteListeCours += ", ";
            }
            texteListeCours += "\n\n";
        }
        return texteListeCours;
    }
}