package modeles;

import com.thoughtworks.xstream.XStream;
import java.io.ByteArrayOutputStream;
import java.io.OutputStreamWriter;
import java.util.List;

public class Horaire {
    
    private List<Seance> seances;

    public Horaire(List<Seance> seances) {
        this.seances = seances;
    }
            
    public String toHtml() {
        if(seances.isEmpty()) 
            return "<h3>Encore pas des cours pour ce etudiant</h3>";
        String texteHTML = "<ul>";
        for(Seance seance : seances) {
            texteHTML += "<li>"+seance.toString()+"</li>";
        }
        texteHTML += "</ul>";
        return texteHTML;
    }

    public String toXml() {
        XStream xstream = new XStream();
        xstream.alias("horaire", Horaire.class);
        xstream.alias("seance", Seance.class);
        try {
            ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
            OutputStreamWriter writer;
            writer = new OutputStreamWriter(outputStream, "UTF-8");
            writer.write("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>");
            return xstream.toXML(this);

        } catch (Exception e) {
            return xstream.toXML(this);
        }
    }
}
