package outils;

import com.thoughtworks.xstream.XStream;
import java.io.ByteArrayOutputStream;
import java.io.OutputStreamWriter;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import modeles.Cours;
import modeles.Etudiant;
import modeles.Seance;

public class FormateurMapCours {

    public static String toHtml(Map<String, Cours> mapCours) {
        String texteHTML = "";
        //Source http://jtoee.blogspot.com/2008/05/better-way-to-iterate-java-maps.html
        for (Map.Entry<String, Cours> elementMap : mapCours.entrySet()) {
            texteHTML += "<h3>"+elementMap.getValue().getSigle()+"</h3>";
            texteHTML += "Capacité: "+elementMap.getValue().getCapacite()+"</br>";
            texteHTML += "Disponibilité: "+elementMap.getValue().getDisponibilite()+"</br>";
            texteHTML += "Préalables:<br></br>";
            if(!elementMap.getValue().getPrealables().isEmpty()) {
                texteHTML += "<ul>";
                for(Cours coursPrealable : elementMap.getValue().getPrealables()) {
                    texteHTML += "<li>";
                    texteHTML += coursPrealable.getSigle();
                    texteHTML += "</li>";
                }
                texteHTML += "</ul>";
            }
            texteHTML += "Séances:</br>";
            if(!elementMap.getValue().getSeances().isEmpty()) {
                texteHTML += "<ul>";
                for(Seance seance : elementMap.getValue().getSeances()) {
                    texteHTML += "<li>";
                    texteHTML += seance.getTexte();
                    texteHTML += "</li>";
                }
                texteHTML += "</ul>";
            }
        }
        return texteHTML;
    }

    public static String toXml(Map<String, Cours> mapCours) {
        XStream xstream = new XStream();
        xstream.alias("coursDisponibles", ArrayList.class);
        xstream.alias("listeCours", List.class);
        xstream.alias("etudiant", Etudiant.class);
        xstream.alias("seance", Seance.class);
        xstream.alias("cours", Cours.class);
        try {
            ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
            OutputStreamWriter writer;
            writer = new OutputStreamWriter(outputStream, "UTF-8");
            writer.write("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>");
            return xstream.toXML(new ArrayList<Cours>(mapCours.values()));

        } catch (Exception e) {
            return xstream.toXML(new ArrayList<Cours>(mapCours.values()));
        }
        
    }
    
}
