package servicesREST;

import javax.ws.rs.Path;
import javax.ws.rs.GET;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import modeles.Horaire;
import outils.PersistenceDonees;

@Path("/{idEtudiant}/horaire")
public class ServiceHoraireEtudiant {

    @GET
    @Produces("text/html; charset=UTF-8")
    public String horaireEtudiantHtml(@PathParam("idEtudiant") String idEtudiant) {
        PersistenceDonees gp = PersistenceDonees.getInstance();
        try {
            Horaire horaire = new Horaire(gp.horaireEtudiant(idEtudiant));
            return horaire.toHtml();
        } catch(NullPointerException e) {
            return "<h3>Étudiant(e) pas trouvé(e)</h3>";
        }
    }
    
    @GET
    @Produces("text/xml")
    public String horaireEtudiantXml(@PathParam("idEtudiant") String idEtudiant) {
        try {
            PersistenceDonees gp = PersistenceDonees.getInstance();
            Horaire horaire = new Horaire(gp.horaireEtudiant(idEtudiant));
            return horaire.toXml();
        } catch(NullPointerException e) {
            return "<?xml version=\"1.0\" encoding=\"UTF-8\" ?><erreur><message>Étudiant(e) pas trouvé(e)</message></erreur>";
        }
    }

}